## cd_wifibot_lab_V4.zip

=== Makefile ===
.PHONY: all

PRODUCTS := $(wildcard conf/*/product.mk)
PRODUCTS := $(subst /product.mk,,$(PRODUCTS))
PRODUCTS := $(subst conf/,,$(PRODUCTS))

.PHONY: $(PRODUCTS)


BUILDDIR := $(PWD)
$(shell rm -f $(BUILDDIR)/current)

include common.mk
export BUILDDIR build_install_directory

all:
	@echo "Choose a product to build ($(PRODUCTS))!"

$(PRODUCTS):
	make -C conf CURRENT=$@ || exit 1
	make -C rootfs prepare uclibc preinstall || exit 1
	make -C kernel install || exit 1
	make -C drivers install || exit 1
	make -C apps all install || exit 1
	make -C rootfs postinstall clean image || exit 1

clean:
	make -C drivers clean
	make -C kernel clean
	make -C apps clean
	make -C rootfs distclean
	make -C conf clean
	-rm -f tools/bin/*
