=== apps/Makefile ===
.PHONY: all

ifndef BUILDDIR
BUILDDIR = $(realpath ..)
endif
include $(BUILDDIR)/common.mk

subdirs := open closed gpl web

all:
	for dir in $(subdirs); do \
		make -C $$dir || exit 1; \
	done

install: 
	for dir in $(subdirs); do \
		make -C $$dir install || exit 1; \
	done

clean: 
	for dir in $(subdirs); do \
		make -C $$dir clean; \
	done
