=== conf/Makefile ===
.PHONY: all clean

ifneq ($(MAKECMDGOALS),clean)
ifeq ($(realpath $(CURRENT)),)
$(error "No such directory $(CURRENT)!")
endif
endif

all:
	@rm -f current
	@ln -s $(CURRENT) current && echo "Current product is now $(CURRENT)"; \

clean:
	rm -f current
