=== drivers/Makefile ===
.PHONY: all install clean

ifndef BULDDIR
BUILDDIR=$(realpath ..)
export BUILDDIR
endif

include $(BUILDDIR)/common.mk

ifneq ($(DRIVERS),)
dirs := $(DRIVERS)
else
dirs := $(wildcard *)
endif

all:
	for f in $(dirs) ; do \
		if [ -d $$f ]; then \
			make PRODUCT=${PRODUCT} -C $$f || exit 1; \
		fi ; \
	done

install: all
	for f in $(dirs) ; do \
		if [ -d $$f ]; then \
			make PRODUCT=${PRODUCT} -C $$f install || exit 2; \
		fi ; \
	done

clean:
	for f in $(dirs) ; do \
		if [ -d $$f ]; then \
			make PRODUCT=${PRODUCT} -C $$f clean; \
		fi ; \
	done
