=== apps/closed/Makefile ===
.PHONY: all

ifndef BUILDDIR
BUILDDIR = $(realpath ../..)
endif
include $(BUILDDIR)/common.mk

subdirs := bin

all:

install: all
	for dir in $(subdirs); do \
	    mkdir -p $(build_install_directory)/$$dir; \
		cp -a $$dir/* $(build_install_directory)/$$dir; \
	done

clean:
