=== apps/gpl/Makefile ===
.PHONY: all install clean

ifndef BUILDDIR
BUILDDIR = $(realpath ../..)
endif

include $(BUILDDIR)/common.mk

ifneq ($(APPS_GPL),)
apps := $(APPS_GPL)
else
apps := $(patsubst %.mk,%,$(wildcard *.mk))
endif

inst := $(patsubst %,%-install,$(apps))

all: $(apps)

install: $(inst)

clean: $(patsubst %,%-clean,$(apps))

include $(patsubst %,%.mk,$(apps))
