=== apps/open/Makefile ===
.PHONY: all clean install

ifndef BUILDDIR
BUILDDIR = $(realpath ../..)
endif

include $(BUILDDIR)/common.mk

ifneq ($(APPS_OPEN),)
apps := $(APPS_OPEN)
else 
apps := $(patsubst %.mk,%,$(wildcard *.mk))
endif

all: ${apps}
install: $(foreach t,${apps},${t}-install)
clean: $(foreach t,${apps},${t}-clean)

include $(foreach t,${apps},${t}.mk)
