=== apps/web/Makefile ===
.PHONY: all clean install

BUILDDIR := $(realpath ../..)
include $(BUILDDIR)/common.mk

all clean install:
	make -C common $@ || exit 1;
