=== apps/gpl/iperf/debian/changelog ===
iperf (2.0.2-2) unstable; urgency=low

  * Add PTHREAD_LIBS to iperf_LDADD and regenerate configure, hopefully
    will fix #314383: FTBFS on hurd-i386.
  * Updated standards (no changes).

 -- Roberto Lumbreras <rover@debian.org>  Fri, 12 May 2006 16:49:36 +0200

iperf (2.0.2-1) unstable; urgency=low

  * New upstream version (closes: #312300).

 -- Roberto Lumbreras <rover@debian.org>  Tue, 07 Jun 2005 16:42:55 +0200

iperf (2.0.1-1) unstable; urgency=low

  * New upstream version.
  * Added watch file.
  * Updated standards.

 -- Roberto Lumbreras <rover@debian.org>  Fri, 04 Feb 2005 02:38:36 +0100

iperf (1.7.0-1) unstable; urgency=low

  * New upstream version.
  * Use config.sub and config.guess symlinks from autotools-dev
    (closes: #190015, #189673).
  * Changed short description (closes: #188476).

 -- Roberto Lumbreras <rover@debian.org>  Tue, 22 Apr 2003 01:48:12 +0200

iperf (1.6.5-1) unstable; urgency=low

  * Initial Release (closes: #186418).
  * Do not include getopt functions in libdast (they are provided by libc6).
  * Send --help and --version outputs to stdout and exit success, to make
    help2man happy (GNU standards, see bug #138752).

 -- Roberto Lumbreras <rover@debian.org>  Fri, 28 Mar 2003 19:07:09 +0100
