=== apps/gpl/iproute2/debian/changelog ===
iproute (20010824-13.1) unstable; urgency=high

  * NMU for a security fix.
  * [CAN-2003-0856] Fix a local denial of service vulnerability via
    spoofed messages to the kernel's Netlink interface. (Closes: #242994)

 -- Joshua Kwan <joshk@triplehelix.org>  Sun, 16 May 2004 20:28:43 -0700

iproute (20010824-13) unstable; urgency=low

  * debian/rules: Run dpkg-shlibdeps with all the executables,
    to fix dependency problem                      (closes: Bug#224063)
  * Really removed references to obsolete include files
    (Bug#223165 was not fixed properly)

 -- Juan Cespedes <cespedes@debian.org>  Sun, 25 Jan 2004 23:04:20 +0100

iproute (20010824-12) unstable; urgency=low

  * Updated README.Debian and copyright file
  * Added two new manpages from http://lartc.org/manpages/:
    ip(8) and tc-cbq-details(8).
  * Removed references to obsolete include files which made
    compilation fail (closes: Bug#223165)

 -- Juan Cespedes <cespedes@debian.org>  Sun, 14 Dec 2003 00:40:10 +0100

iproute (20010824-11) unstable; urgency=low

  * Changed priority to "optional"
  * Fixed "tc -s qdisc" on sparc (patch by "Nicolas S. Dade"
    <ndade@nsd.dyndns.org>) (closes: Bug#194128)

 -- Juan Cespedes <cespedes@debian.org>  Sun, 17 Aug 2003 00:22:47 +0200

iproute (20010824-10) unstable; urgency=low

  * Updated manual pages from http://www.lartc.org/manpages/
                (closes: Bug#156353, Bug#175313, Bug#176989, Bug#189095)
  * New Standards-Version
  * Don't "rm -rf /etc/iproute2" on purge (closes: Bug#202862)
  * Include "iproute2" in the description (closes: Bug#182999)

 -- Juan Cespedes <cespedes@debian.org>  Sat, 16 Aug 2003 18:29:27 +0200

iproute (20010824-9) unstable; urgency=medium

  * Added patch for HTB v3.6 to be able to work with kernel 2.4.20
    (from http://luxik.cdi.cz/~devik/qos/htb/v3/htb3.6-020525.tgz)
                (closes: Bug#147550, Bug#167149, Bug#167597, Bug#171277)

 -- Juan Cespedes <cespedes@debian.org>  Thu, 05 Dec 2002 13:44:10 +0100

iproute (20010824-8) unstable; urgency=medium

  * Added support for HTB queuing discipline        (closes: Bug#133381)
    NOTE: you need a patched kernel in order to use it

 -- Juan Cespedes <cespedes@debian.org>  Tue,  2 Apr 2002 20:29:40 +0200

iproute (20010824-7) unstable; urgency=medium

  * Move `ip' binary to /bin to fix FHS violation   (closes: Bug#134812)

 -- Juan Cespedes <cespedes@debian.org>  Mon,  4 Mar 2002 00:20:30 +0100

iproute (20010824-6) unstable; urgency=low

  * Added a couple of #ifdef's to be able to compile with older
    kernel headers (needed for arm)                 (closes: Bug#131695)

 -- Juan Cespedes <cespedes@debian.org>  Sat, 16 Feb 2002 19:27:15 +0100

iproute (20010824-5) unstable; urgency=low

  * Really fix Bug#121589 (dead gateway bug); apparently I
    forgot to include the patch in 20010824-2

 -- Juan Cespedes <cespedes@debian.org>  Tue, 29 Jan 2002 23:22:24 +0100

iproute (20010824-4) unstable; urgency=low

  * Added support for DIFFSERV and ATM in tc

 -- Juan Cespedes <cespedes@debian.org>  Sun, 13 Jan 2002 03:01:47 +0100

iproute (20010824-3) unstable; urgency=low

  * Updated tc* man pages (thanks to bert hubert <ahu@ds9a.nl>)
  * Fixed spurious space in `tc -s qdisc' output (closes: Bug#128501)

 -- Juan Cespedes <cespedes@debian.org>  Thu, 10 Jan 2002 22:18:25 +0100

iproute (20010824-2) unstable; urgency=low

  * Fixed the following important and serious bugs:
    + iproute doesn't compile on Alpha (closes: Bug#118113, Bug#123224)
    + iproute doesn't compile on MIPS (closes: Bug#118424)
    + iproute doesn't compile on powerpc (closes: Bug#119601)
  * Added man pages for tc (closes: Bug#124230), tc-cbq, tc-red, tc-tbf,
    tc-prio and tc-sfq
  * Removed references to old programs from iproute(7) (closes: Bug#99536)
  * Fixed bug which presented first hop as dead in equal cost multipath
                                                      (closes: Bug#121589)
  * Do not process .ps with through `psnup' (closes: Bug#119820)

 -- Juan Cespedes <cespedes@debian.org>  Tue,  8 Jan 2002 16:07:27 +0100

iproute (20010824-1) unstable; urgency=low

  * New upstream version
  * Make ingress qdisc work again with tc           (closes: Bug#84444)
  * Make it compile properly with new include files (closes: Bug#113112)

 -- Juan Cespedes <cespedes@debian.org>  Sun, 28 Oct 2001 16:38:00 +0100

iproute (20001007-1) unstable; urgency=low

  * New upstream version                             (closes: Bug#63701)
  * Remove /etc/iproute2 on purge                    (closes: Bug#72743)
  * Fixed Lintian warnings (no-priority-field and no-section-field)

 -- Juan Cespedes <cespedes@debian.org>  Sat, 14 Oct 2000 19:27:12 +0200

iproute (991023-2) unstable; urgency=low

  * New Standards-Version (3.1.1) (closes: Bug#47923)
  * Modified description of package to show which kernel options are
    necessary to use the package (closes: Bug#47922)
  * Updated manual page to point at /usr/share/doc/iproute (closes: Bug#47924)

 -- Juan Cespedes <cespedes@debian.org>  Sun, 19 Dec 1999 04:00:21 +0100

iproute (991023-1) unstable; urgency=low

  * New upstream version (closes: Bug#48733)

 -- Juan Cespedes <cespedes@debian.org>  Tue,  2 Nov 1999 16:29:37 +0100

iproute (990824-1) unstable; urgency=low

  * New maintainer
  * New upstream version
  * New Standards-Version: 3.1.0
  * Minor fix in "ip rule list": mask in "from" address was not shown
    correctly
  * Removed obsoleted documentation from "debian/" directory

 -- Juan Cespedes <cespedes@debian.org>  Sun, 24 Oct 1999 19:02:56 +0200

iproute (990630-1) unstable; urgency=low

  * New upstream version.
  * FHS and standards 3.0.1.0.

 -- Roberto Lumbreras <rover@debian.org>  Tue,  3 Aug 1999 02:49:28 +0200

iproute (990530-1) unstable; urgency=low

  * New upstream version.
  * Build with 2.2.10 kernel headers.
  * Install new scripts ip/routef ip/routel, but not ip/ifcfg ip/rtpr by

