=== apps/gpl/php-2.0/debian/changelog ===
php (2.0b10-5) frozen unstable; urgency=high

  * Fixed Bug #8850, a SNI Security Advisory on Bugtraq, involving a
    buffer overflow problem which could permit shell access.

 -- Johnie Ingram <johnie@debian.org>  Fri, 18 Apr 1997 12:48:02 -0400

php (2.0b10-4) frozen unstable; urgency=high

  * Fixed Bug #8807, [DiS] Advisory 97-347.1 on Bugtraq, which allowed
    users to view arbitrary files on the system with the CGI binary (but
    not the Apache module).  It now only allows access to .phtml files.

 -- Johnie Ingram <johnie@debian.org>  Thu, 17 Apr 1997 13:07:56 -0400

php (2.0b10-3) frozen unstable; urgency=low

  * Changed chown from www.www-data to www-data.www-data (Bug #8293).
  * Updated to Standards-Version 2.1.3.0.

 -- Johnie Ingram <johnie@debian.org>  Tue, 25 Mar 1997 23:57:38 -0500

php (2.0b10-2) unstable; urgency=low

  * Now includes a separate php.cgi binary for webservers which do not
    support loadable Apache modules.
  * Package now suggests apache instead of depending on it.
  * Added missing short description to control file, a deficiency pointed
    out by Richard Kaszeta.
  * No longer calls apacheconfig unnecessarily during an upgrade (now
    checks Apache config file for previous successful install).

 -- Johnie Ingram <johnie@debian.org>  Sat, 8 Mar 1997 01:31:09 -0500

php (2.0b10-1) unstable; urgency=low

  * Initial Release: Standards-Version 2.1.2.2 and debmake 3.2.2.

 -- Johnie Ingram <johnie@debian.org>  Fri, 7 Mar 1997 17:41:01 -0500

Local variables:
mode: debian-changelog
add-log-mailing-address: "johnie@debian.org"
End:
