=== apps/gpl/tcpdump/debian/changelog ===
tcpdump (3.9.4-4) unstable; urgency=low

  * debian/compat: Switch to debhelper compatibility level 5.
  * debian/control:
    + Build-Depend on debhelper (>= 5).
    + Remove Uploaders field.
    + Bump Standards-Version to 3.7.2, no changes needed.
  * debian/rules: Misc. cleanups.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 20 May 2006 13:07:45 +0200

tcpdump (3.9.4-3) unstable; urgency=low

  * debian/patches/20_man_fixes.dpatch: Merge patch from A Costa
    <agcosta@gis.net> fixing a few typos (closes: #351014).

 -- Romain Francoise <rfrancoise@debian.org>  Thu,  2 Feb 2006 22:24:04 +0100

tcpdump (3.9.4-2) unstable; urgency=low

  * debian/patches/20_man_fixes.dpatch: Merge patch from A Costa
    <agcosta@gis.net> fixing a few typos (closes: #342310).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 10 Dec 2005 14:26:20 +0100

tcpdump (3.9.4-1) unstable; urgency=low

  * New upstream release.

  * debian/patches/40_spelling.dpatch: Dropped (included upstream).
  * debian/patches/30_version.dpatch: Dropped.
  * debian/patches/30_vlan_eflag: New patch, reverse test for eflag in
    print-ether.c to match the intended effect (closes: #324706).

  * This upload also transitions tcpdump to OpenSSL 0.9.8.

 -- Romain Francoise <rfrancoise@debian.org>  Sun,  9 Oct 2005 20:11:49 +0200

tcpdump (3.9.3-2) unstable; urgency=low

  * debian/patches/40_spelling.dpatch: New patch, fixes spelling errors
    ("advertisment" vs. "advertisement"), thanks to Michael Shields
    <shields@msrl.com> (closes: #318676).
  * debian/patches/00list: Update.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 17 Jul 2005 12:28:22 +0200

tcpdump (3.9.3-1) unstable; urgency=low

  * New upstream release.
  * Build-Depend on libpcap0.8-dev (which is really libpcap 0.9.3).

  * debian/patches/30_ascii-output.dpatch: Dropped (merged upstream).
  * debian/patches/30_version: New patch, fixes upstream version (still at
    3.9.2 while this is version 3.9.3).
  * debian/patches/00list: Update.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 16 Jul 2005 14:59:30 +0200

tcpdump (3.9.1-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/30_ascii-output.dpatch: New patch, fixes -x, -X and -A
    priorities and removes extra newline and tab characters in the ascii
    output (closes: #285764, #316908).
  * debian/patches/00list: Update.

 -- Romain Francoise <rfrancoise@debian.org>  Wed,  6 Jul 2005 20:17:19 +0200

tcpdump (3.9.0.cvs.20050622-1) unstable; urgency=low

  * New CVS snapshot.
  * debian/control: Bump Standards-Version to 3.6.2.1, no changes needed.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 22 Jun 2005 19:52:31 +0200

tcpdump (3.9.0.cvs.20050614-1) unstable; urgency=low

  * New CVS snapshot.
  * Upload to unstable.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 14 Jun 2005 19:43:24 +0200

tcpdump (3.9.0.cvs.20050529-1) experimental; urgency=low

  * New upstream CVS snapshot for experimental.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 29 May 2005 12:55:31 +0200

tcpdump (3.9.0.cvs.20050511-1) experimental; urgency=low

  * Upstream CVS snapshot of tcpdump 3.9 for experimental.
  * debian/patches/20_man_fixes.dpatch: Resynchronized.
  * debian/patches/30_openssl_des.dpatch: Dropped (fixed upstream).
  * debian/patches/40_ipv6cp.dpatch: Ditto.
  * debian/patches/50_misc_dos.dpatch: Ditto.
  * debian/patches/00list: Update.
  * debian/control: Build with libpcap0.9, also in experimental.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 11 May 2005 20:00:31 +0200

tcpdump (3.8.3-5) unstable; urgency=low

  * debian/copyright: Clarify license conditions, some files in the
    distribution are still under the 4-clause BSD license (closes: #283008).
  * debian/changelog: Revise 3.8.3-4 entry to add CAN numbers (which have
    been assigned in the meantime).

 -- Romain Francoise <rfrancoise@debian.org>  Sun,  1 May 2005 17:23:45 +0200

tcpdump (3.8.3-4) unstable; urgency=high

  * Urgency set to high due to security fixes.
  * debian/patches/50_misc_dos.dpatch: Security fixes stolen from the 3.8
    branch fix infinite loops in the BGP, ISIS, LDP and RSVP dissectors
    [CAN-2005-1278, CAN-2005-1279, CAN-2005-1280] (closes: #306529).
  * debian/patches/00list: Add 50_misc_dos.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 27 Apr 2005 21:05:37 +0200

tcpdump (3.8.3-3) unstable; urgency=low

  * debian/patches/40_ipv6cp.dpatch: New patch, do not try to print IPV6CP
    ppp packets, the dissector doesn't support it (closes: #255179).
  * debian/patches/00list: Add 40_ipv6cp.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 19 Jun 2004 15:01:27 +0200

tcpdump (3.8.3-2) unstable; urgency=low

  * debian/rules: Enable crypto support (closes: #82581, #93428).
  * debian/control:
    + Build-Depend on libssl-dev.
    + Put back URL markers in description.
    + Switch Maintainer and Uploaders fields to match reality.
  * debian/patches/30_openssl_des.dpatch: Patch to make upstream's
    configure script check for DES_cbc_encrypt instead of des_cbc_encrypt,
    (the function got renamed in OpenSSL 0.9.7), which saves us the hassle
    of re-running autoconf.  Temporary hack since upstream has fixed this
    in CVS already.
  * debian/patches/00list: Add 30_openssl_des.

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 14 May 2004 22:14:08 +0200

tcpdump (3.8.3-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    + Add -D_FILE_OFFSET_BITS=64 to default CFLAGS to match libpcap 
      (closes: #154762).
    + Use dpatch for patch management.
    + Clean up CFLAGS handling.
    + Support DEB_BUILD_OPTIONS.
  * debian/control: 
    + Build-Depend on libpcap0.8-dev, dpatch.
    + Add versioned Build-Depends on debhelper.
    + Remove Emacs-style URL markers from description.
  * debian/compat: New file.
  * debian/copyright: Update.
  * debian/tcpdump.docs: Do not install upstream INSTALL file.
  * debian/patches: New directory.

