=== apps/gpl/iproute2/debian/control ===
Source: iproute
Section: net
Priority: optional
Maintainer: Juan Cespedes <cespedes@debian.org>
Standards-Version: 3.6.0
Build-Depends: tetex-bin, atm-dev

Package: iproute
Architecture: any
Depends: ${shlibs:Depends}
Description: Professional tools to control the networking in Linux kernels
 This is `iproute', the professional set of tools to control the
 networking behavior in kernels 2.2.x and later.
 .
 At least, the options CONFIG_NETLINK and CONFIG_RTNETLINK must
 be compiled in the running kernel
 .
 This package is also known as iproute2 upstream and in some
 documentation.
