=== apps/gpl/libpcap/debian/control ===
Source: libpcap
Section: devel
Priority: optional
Maintainer: Romain Francoise <rfrancoise@debian.org>
Uploaders: Torsten Landschoff <torsten@debian.org>
Build-Depends: debhelper (>= 4), flex, bison
Standards-Version: 3.0.1

Package: libpcap-dev
Section: oldlibs
Architecture: all
Depends: libpcap0.7-dev
Priority: extra
Description: Development library for libpcap (transitional package)
 Empty package to facilitate upgrades, can be safely removed.

Package: libpcap0.7-dev
Section: libdevel
Architecture: any
Depends: libpcap0.7 (= ${Source-Version}), libc6-dev
Provides: libpcap-dev
Replaces: libpcap-dev
Conflicts: libpcap0.8-dev
Description: Development library and header files for libpcap 0.7
 Headers, static libraries, and documentation for the libpcap library.
 .
 libpcap (Packet CAPture) provides a portable framework for low-level
 network monitoring.  Applications include network statistics
 collection, security monitoring, network debugging, etc.
 .
 Since almost every system vendor provides a different interface for 
 packet capture, and since there are several tools that require this 
 functionality, we've created this system-independent API to ease in 
 porting and to alleviate the need for several system-dependent packet 
 capture modules in each application.
 .
 Further information is available at <URL: http://www.tcpdump.org/>

Package: libpcap0.7
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: System interface for user-level packet capture
 libpcap (Packet CAPture) provides a portable framework for low-level 
 network monitoring.  Applications include network statistics collection, 
 security monitoring, network debugging, etc.  
 .
 Since almost every system vendor provides a different interface for 
 packet capture, and since there are several tools that require this 
 functionality, we've created this system-independent API to ease in 
 porting and to alleviate the need for several system-dependent packet 
 capture modules in each application.
 .
 Further information is available at <URL: http://www.tcpdump.org/>
