=== apps/gpl/php-2.0/debian/control ===
Source: php
Section: web
Priority: extra
Maintainer: Johnie Ingram <johnie@debian.org>
Standards-Version: 2.1.3.0

Package: php
Architecture: any
Depends: ${shlibs:Depends}
Suggests: apache
Description: PHP/FI HTML programming language
 A server-parsed language for webpages, which supports complex commands,
 access counters, hit logging, file uploads, and more, without the
 overhead of interpreters like perl.  Both the Apache module and the
 CGI binary are included in this package.
 .
 When recompiled from source, this language can also support web access
 to mSQL, Sybase, Postgres95, mysql, and Solid databases.  More
 information is available at http://www.vex.net/php/.
