=== apps/gpl/tcpdump/debian/control ===
Source: tcpdump
Section: net
Priority: optional
Maintainer: Romain Francoise <rfrancoise@debian.org>
Build-Depends: debhelper (>= 5), libpcap0.8-dev (>= 0.9.3-1), dpatch, libssl-dev
Standards-Version: 3.7.2

Package: tcpdump
Architecture: any
Depends: ${shlibs:Depends}
Description: A powerful tool for network monitoring and data acquisition
 This program allows you to dump the traffic on a network. tcpdump 
 is able to examine IPv4, ICMPv4, IPv6, ICMPv6, UDP, TCP, SNMP, AFS
 BGP, RIP, PIM, DVMRP, IGMP, SMB, OSPF, NFS and many other packet
 types.
 .
 It can be used to print out the headers of packets on a network 
 interface, filter packets that match a certain expression. You can 
 use this tool to track down network problems, to detect "ping attacks" 
 or to monitor network activities. 
 .
 Further information is available at <URL: http://www.tcpdump.org/>
