=== apps/gpl/libpcap/debian/rules ===
#!/usr/bin/make -f

version=0.7.2
major=0.7

build: build-stamp
build-stamp:
	dh_testdir

	CFLAGS=-D_FILE_OFFSET_BITS=64 ./configure --prefix=/usr --mandir=\$${prefix}/share/man	\
		--enable-ipv6 --infodir=\$${prefix}/share/info
	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	rm -f net/net

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install prefix=`pwd`/debian/libpcap0.7-dev/usr

# Build architecture-independent files here.
binary-indep: build
	dh_clean -k
	dh_installdirs -i
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i CHANGES
	dh_installdocs -i
	dh_installexamples -i
	dh_installman -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir -a
	dh_testroot -a
        #
        # build libpcap${major} package by moving files from libpcap0.7-dev
        #
	dh_movefiles -plibpcap$(major) --sourcedir=debian/libpcap0.7-dev \
		usr/lib/libpcap.so.$(major)        \
		usr/lib/libpcap.so.$(version)

#	dh_installdebconf	
	dh_installdocs -a -A debian/README.Debian
	dh_installexamples -a
	dh_installmenu -a
	dh_installmanpages -plibpcap0.7-dev
	dh_installinfo -a
#	dh_undocumented
	dh_installchangelogs -a CHANGES
	dh_link -plibpcap0.7-dev
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
