=== apps/gpl/iperf/debian/watch ===
version=2
http://dast.nlanr.net/Projects/Iperf/ (?:.*/)?iperf-?_?([\w+\d+\.]+|\d+)(\.tar|\.tgz)(\.gz|\.bz2|) debian uupdate
